<?php
/**
 * An exception thrown if the result was not updated
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, this is free software
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class ResultUpdateException extends FrameworkException {
	/**
	 * The super constructor for all exceptions
	 *
	 * @param	$resultInstance		Instance of the failed result update
	 * @param	$code				Error code
	 * @return	void
	 */
	public function __construct(UpdateableResult $resultInstance, $code) {
		// Construct the message
		$message = sprintf("[%s:%d] Update of result instance has nothing changed.",
			$resultInstance->__toString(),
			$this->getLine()
		);

		// Call parent exception constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
